Subject: Re: [Q] Encrypted GIT?

From: Thomas Harning <[email-masked]>
Date: Thu, 13 Mar 2008 15:15:32 -0400

On Thu, 13 Mar 2008 11:36:46 -0700
Luke Lu <[email-masked]> wrote:

> An obvious and easy solution: use an encrypted partition on the  
> remote server and ssh as transport. Last time I checked, git on  
> encrypted volumes is plenty fast.

If its an encrypted partition on the remote server... then its visible
@ that server.. which I don't think is desired in the situation.

An encrypted partition is fairly useless on a remote server unless the
remote server is expected to be physically removed/powered down...
otherwise anything can get into that data while its alive (pending
permissions, lack-of-holes, etc..)

The encfs solution makes sure that nothing is ever revealed
remote-side... all data is prevented from even going over ssh in its
unencrypted form.